about summary refs log tree commit diff
path: root/scripts/install-nix-from-closure.sh
diff options
context:
space:
mode:
authorEelco Dolstra <edolstra@gmail.com>2019-05-15T11·13+0200
committerEelco Dolstra <edolstra@gmail.com>2019-05-15T11·13+0200
commit3fd5425f948afa5122ff6b0aad60a6b961b57161 (patch)
tree238aecccad6f9d82c69c80858aa49c67b83dc775 /scripts/install-nix-from-closure.sh
parent5f6840fbb49ae5b534423bd8a4360646ee93dbaf (diff)
Fix shellcheck error
https://hydra.nixos.org/build/93359951
Diffstat (limited to 'scripts/install-nix-from-closure.sh')
-rw-r--r--scripts/install-nix-from-closure.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/install-nix-from-closure.sh b/scripts/install-nix-from-closure.sh
index 4dd249923b..fc999d336d 100644
--- a/scripts/install-nix-from-closure.sh
+++ b/scripts/install-nix-from-closure.sh
@@ -26,7 +26,7 @@ fi
 if [ "$(uname -s)" = "Darwin" ]; then
     macos_major=$(sw_vers -productVersion | cut -d '.' -f 2)
     macos_minor=$(sw_vers -productVersion | cut -d '.' -f 3)
-    if [ "$macos_major" -lt 12 ] || ([ "$macos_major" -eq 12 ] && [ "$macos_minor" -lt 6 ]); then
+    if [ "$macos_major" -lt 12 ] || { [ "$macos_major" -eq 12 ] && [ "$macos_minor" -lt 6 ]; }; then
         echo "$0: macOS $(sw_vers -productVersion) is not supported, upgrade to 10.12.6 or higher"
         exit 1
     fi